## Create network

### cURL

```
curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/inventory/network \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '\n{\n  "code": "DC",\n  "name": "Distribution Center",\n  "safetyStock": 2,\n  "rules": {\n    "locationData.attributes.channel": "Frontline",\n    "productData.attributes.subclass": {\n      "$nin": 778942701\n    }\n  }\n}\n'```

### Python

```
import requests

url = "https://prod01.oms.fabric.inc/api/v2/inventory/network"

payload = {
    "code": "DC",
    "name": "Distribution Center",
    "safetyStock": 2,
    "rules": {
        "locationData.attributes.channel": "Frontline",
        "productData.attributes.subclass": { "$nin": 778942701 }
    }
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    code: 'DC',
    name: 'Distribution Center',
    safetyStock: 2,
    rules: {
      'locationData.attributes.channel': 'Frontline',
      'productData.attributes.subclass': {$nin: 778942701}
    }
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/inventory/network', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Sample Responses

#### Success (200)
```
{
  "networkId": "62278e49167b6079755aa5e7",
  "code": "DC",
  "name": "Distribution Center",
  "safetyStock": 2,
  "rules": {
    "locationData.attributes.channel": "Frontline",
    "productData.attributes.subclass": {
      "$nin": 778942701
    }
  }
}
```

#### Invalid Payload (400)
```
{
  "message": "Invalid request payload or parameter"
}
```

#### Resource Not Found (404)
```
{
  "message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
```

#### Internal Error (500)
```
{
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
```

### Authorization
- **Authorization**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.
### Headers
- **x-site-context**: Required JSON object containing information about the source you wish to pull from.
